clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::ObjCMethodList Struct Reference

a linked list of methods with the same selector name but different signatures. More...

`#include "clang/Sema/ObjCMethodList.h"`

Collaboration diagram for clang::ObjCMethodList:
[legend]

## Public Member Functions
| ObjCMethodList ()
| ObjCMethodList (ObjCMethodDecl *M)
| ObjCMethodList (const ObjCMethodList &L)
ObjCMethodList * | getNext () const
unsigned | getBits () const
void | setNext (ObjCMethodList *L)
void | setBits (unsigned B)
ObjCMethodDecl * | getMethod () const
void | setMethod (ObjCMethodDecl *M)
bool | hasMoreThanOneDecl () const
void | setHasMoreThanOneDecl (bool B)

## Public Attributes
llvm::PointerIntPair< ObjCMethodDecl *, 1 > | MethodAndHasMoreThanOneDecl
| If there is more than one decl with this signature. More...
llvm::PointerIntPair< ObjCMethodList *, 2 > | NextAndExtraBits
| The next list object and 2 bits for extra info. More...

## Detailed Description

a linked list of methods with the same selector name but different signatures.

Definition at line 26 of file ObjCMethodList.h.

## Constructor & Destructor Documentation

## ◆ ObjCMethodList() [1/3]

clang::ObjCMethodList::ObjCMethodList | ( |  | ) |
| inline

Definition at line 33 of file ObjCMethodList.h.

## ◆ ObjCMethodList() [2/3]

clang::ObjCMethodList::ObjCMethodList | ( | ObjCMethodDecl * | M | ) |
| inline

Definition at line 34 of file ObjCMethodList.h.

## ◆ ObjCMethodList() [3/3]

clang::ObjCMethodList::ObjCMethodList | ( | const ObjCMethodList & | L | ) |
| inline

Definition at line 36 of file ObjCMethodList.h.

## Member Function Documentation

## ◆ getBits()

unsigned clang::ObjCMethodList::getBits | ( |  | ) | const
| inline

Definition at line 41 of file ObjCMethodList.h.

## ◆ getMethod()

ObjCMethodDecl* clang::ObjCMethodList::getMethod | ( |  | ) | const
| inline

Definition at line 45 of file ObjCMethodList.h.

Referenced by AddClassMessageCompletions().

## ◆ getNext()

ObjCMethodList* clang::ObjCMethodList::getNext | ( |  | ) | const
| inline

Definition at line 40 of file ObjCMethodList.h.

Referenced by clang::Sema::AreMultipleMethodsInGlobalPool(), clang::Sema::CollectMultipleMethodsInGlobalPool(), and clang::Sema::SelectorsForTypoCorrection().

## ◆ hasMoreThanOneDecl()

bool clang::ObjCMethodList::hasMoreThanOneDecl | ( |  | ) | const
| inline

Definition at line 52 of file ObjCMethodList.h.

Referenced by clang::Sema::AreMultipleMethodsInGlobalPool().

## ◆ setBits()

void clang::ObjCMethodList::setBits | ( | unsigned | B | ) |
| inline

Definition at line 43 of file ObjCMethodList.h.

## ◆ setHasMoreThanOneDecl()

void clang::ObjCMethodList::setHasMoreThanOneDecl | ( | bool | B | ) |
| inline

Definition at line 55 of file ObjCMethodList.h.

## ◆ setMethod()

void clang::ObjCMethodList::setMethod | ( | ObjCMethodDecl * | M | ) |
| inline

Definition at line 48 of file ObjCMethodList.h.

## ◆ setNext()

void clang::ObjCMethodList::setNext | ( | ObjCMethodList * | L | ) |
| inline

Definition at line 42 of file ObjCMethodList.h.

## Member Data Documentation

## ◆ MethodAndHasMoreThanOneDecl

llvm::PointerIntPair<ObjCMethodDecl *, 1> clang::ObjCMethodList::MethodAndHasMoreThanOneDecl

If there is more than one decl with this signature.

Definition at line 29 of file ObjCMethodList.h.

## ◆ NextAndExtraBits

llvm::PointerIntPair<ObjCMethodList *, 2> clang::ObjCMethodList::NextAndExtraBits

The next list object and 2 bits for extra info.

Definition at line 31 of file ObjCMethodList.h.

The documentation for this struct was generated from the following file:

- include/clang/Sema/ObjCMethodList.h